<?php

namespace Crm\Account;

use DB;
use Illuminate\Database\Seeder;

class UserTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('users')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'account.user.view',
                'name'      => 'View User',
            ],
            [
                'slug'      => 'account.user.create',
                'name'      => 'Create User',
            ],
            [
                'slug'      => 'account.user.edit',
                'name'      => 'Update User',
            ],
            [
                'slug'      => 'account.user.delete',
                'name'      => 'Delete User',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'account.user.verify',
                'name'      => 'Verify User',
            ],
            [
                'slug'      => 'account.user.approve',
                'name'      => 'Approve User',
            ],
            [
                'slug'      => 'account.user.publish',
                'name'      => 'Publish User',
            ],
            [
                'slug'      => 'account.user.unpublish',
                'name'      => 'Unpublish User',
            ],
            [
                'slug'      => 'account.user.cancel',
                'name'      => 'Cancel User',
            ],
            [
                'slug'      => 'account.user.archive',
                'name'      => 'Archive User',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/account/user',
                'name'        => 'User',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/account/user',
                'name'        => 'User',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'user',
                'name'        => 'User',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Account',
                'module'    => 'User',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'account.user.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
