<?php

namespace Crm\Account;

use User;

class Account
{
    /**
     * $user object.
     */
    protected $user;

    /**
     * Constructor.
     */
    public function __construct(\Crm\Account\Interfaces\UserRepositoryInterface $user)
    {
        $this->user = $user;
    }

    /**
     * Returns count of account.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.user.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->user->pushCriteria(new \Litepie\Crm\Repositories\Criteria\UserUserCriteria());
        }

        $user = $this->user->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('account::' . $view, compact('user'))->render();
    }
}
