<?php

namespace Crm\Account\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class UserTransformer extends TransformerAbstract
{
    public function transform(\Crm\Account\Models\User $user)
    {
        return [
            'id'                => $user->getRouteKey(),
            'key'               => [
                'public'    => $user->getPublicKey(),
                'route'     => $user->getRouteKey(),
            ], 
            
            'url'               => [
                'public'    => trans_url('account/'.$user->getPublicKey()),
                'user'      => guard_url('account/user/'.$user->getRouteKey()),
            ], 
            'status'            => trans('app.'.$user->status),
            'created_at'        => format_date($user->created_at),
            'updated_at'        => format_date($user->updated_at),
        ];
    }
}